%define anolis_release 1
%define debug_package %{nil}

Name:	        palisade	
Version:	1.11.6
Release: 	%{anolis_release}%{?dist}
Summary:	PALISADE is a general lattice cryptography library.

License:	BSD 2-Clause License
URL:		https://gitlab.com/palisade/palisade-release
Source0:	%{name}-%{version}.tar.gz

BuildRequires:	gcc,cmake,make,autoconf
BuildRequires:  hexl-devel cpu_features-devel
BuildRequires:  git gtest-devel
BuildRequires:	cereal-devel
Requires:       hexl >= 1.2.3

Patch1001:	1001-remove-Werror-in-CMakeLists-to-fix-the-build-error.patch
Patch1002:	1002-remove-third-party.patch
Patch1003:	1003-change-libinstall-to-lib64.patch

ExclusiveArch:  x86_64

%description
Palisade Package

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains development files for %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake -DWITH_INTEL_HEXL=ON -DINTEL_HEXL_PREBUILT=ON -DGIT_SUBMOD_AUTO=OFF -DBUILD_BENCHMARKS=OFF -DBUILD_UNITTESTS=OFF
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%{_libdir}/*.so.*

%files devel
%{_includedir}/palisade
%{_libdir}/*.so
%{_prefix}/lib/Palisade/*.cmake

%files doc
%doc README.md

%changelog
* Tue Nov 15 2022 xhuan28 <xiaojun.huang@intel.com> - 1.11.6-1
- Init package
